# BiTIA Installation
BiTIA CLI is the Command Line Interface Tool which helps in getting user inputs with commands, directories and required files. It sends tasks to the server, where bitia-runner processes them and generates results.

**To work with BiTIA, we need to install bitia-cli and submit tasks to the server**
## Installing bitia
BiTIA CLI is available on [PyPi] as [BiTIA].

Installing bitia is very simple, you only need to have [python-pip] installed in your system




To Install **BiTIA** using pip, run this command:

  ```{eval-rst}
  .. tabs::

    .. group-tab:: Unix

              ..  code-block:: bash
                      
                     $ python3 -m pip install bitia


    .. group-tab:: Windows
              ..  code-block:: bash
                     
                     $ python3 -m pip install bitia
  ```

**Configuration**


TODO: Order of searching configuration file.


  ```{eval-rst}
  .. tabs::

    .. group-tab:: Unix

              ..  code-block:: bash

                  1. ./bitia.toml  
                  2. ~/.bitia.toml  
                  3. $HOME/.config/bitia.toml  
                  4. /etc/bitia.toml

    .. group-tab:: Windows
           
              ..  code-block:: bash

                     1. bitia.toml
                     2. %APPDATA%\bitia.toml
                     3. %PROGRAMDATA%\bitia.toml
  ```

[BiTIA]: https://pypi.org/project/bitia/
[Pypi]: https://pypi.org/
[python-pip]: https://pypi.org/project/pip/ 